com.h3c.of.lib.mp

## Class MBodyMutableGroupStatsRequest

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyGroupStatsRequest
    - - com.h3c.of.lib.mp.MBodyMutableGroupStatsRequest

- All Implemented Interfaces:
    MultipartBody, MutableObject, MutableStructure, Structure

      public class MBodyMutableGroupStatsRequest
      extends MBodyGroupStatsRequest
      implements MutableStructure

  Mutable subclass of `MBodyGroupStatsRequest`.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBodyMutableGroupStatsRequest(ProtocolVersion pv)` Constructs a mutable multipart body GROUP request type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MBodyMutableGroupStatsRequest` | `groupId(GroupId groupId)` Sets the group ID; Since 1.1.
    `OpenflowStructure` | `toImmutable()` Returns an immutable instance of this structure.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyGroupStatsRequest

      `getGroupId, getTotalLength, toDebugString, validate`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

- - ### Constructor Detail

    - #### MBodyMutableGroupStatsRequest

          public MBodyMutableGroupStatsRequest(ProtocolVersion pv)

      Constructs a mutable multipart body GROUP request type.

      Note that a freshly constructed instance has the following default value:

      - group ID: `GroupId.ALL`
      Parameters:
        `pv` - the protocol version

  - ### Method Detail

    - #### toImmutable

          public OpenflowStructure toImmutable()

      Description copied from interface: `MutableStructure`
      Returns an immutable instance of this structure. In essence, converts this structure to be read-only.

      It is expected that the reference to this mutable structure will be dropped. Note that all method calls invoked on a `MutableStructure` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Specified by:
        `toImmutable` in interface `MutableStructure`
      Returns:
        an immutable instance of this structure.

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MBodyGroupStatsRequest`

    - #### groupId

          public MBodyMutableGroupStatsRequest groupId(GroupId groupId)

      Sets the group ID; Since 1.1.
      Parameters:
        `groupId` - the group ID
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this instance is no longer writable
        `NullPointerException` - if groupId is null

Copyright © 2014. All Rights Reserved.